Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.atp
Interface AtpConstants

All Known Implementing Classes:
  AtpConnectionImpl, MAFAgentSystem_ATPClient

public interface AtpConstants

AtciConstants interface defines constant value for ATCI

Version:
  1.10 23 Mar 1997
Author:
  Mitsuru Oshima

Field Summary
`static int` | `ATCI_REQUEST` The value representing that an ATCI message is a response.
`static int` | `ATCI_RESPONSE` The value representing that an ATCI message is a response.
`static int` | `AUTHENTICATION_MANNER_DIGEST`
`static int` | `AUTHENTICATION_MANNER_SIGNATURE`
`static int` | `BAD_GATEWAY` Status code representing that the recipient, while acting as a gateway or proxy, recieved an invalid response from upstream server.
`static int` | `BAD_REQUEST` Status code representing that the recipient was unable to understand the request message due to malformed syntax.
`static int` | `DISPATCH`
`static int` | `EXCEPTION`
`static int` | `FETCH`
`static int` | `FORBIDDEN` Status code representing that although the recipient understood the request message, it is refused to fulfill it.
`static int` | `FUTURE`
`static int` | `HANDLED`
`static int` | `ILLEGAL_REQUEST`
`static int` | `INTERNAL_ERROR` Status code representing that the recipient encountered an unexpected condition which prevented it from fullfiling the request.
`static int` | `MAX_REQUEST_TYPE`
`static int` | `MESSAGE`
`static int` | `MOVED` Status code representing that the requested resource is no longer at the recipient.
`static int` | `NO_AUTHENTICATION_MANNER`
`static int` | `NOT_AUTHENTICATED` Status code representing that the recipient does not authenticate the sender.
`static int` | `NOT_FOUND` Status code representing that the recipient could not find the requested resource.
`static int` | `NOT_HANDLED`
`static int` | `NOT_IMPLEMENTED` Status code representing that the recipient does not support the functionality required to fulfill the request.
`static int` | `OKAY` Status code representing that the request has succeeded.
`static int` | `ONEWAY`
`static int` | `PING`
`static int` | `REPLY`
`static int` | `REQUEST_TYPE_BASE`
`static int` | `RETRACT`
`static int` | `SERVICE_UNAVAILABLE` Status code representing that the recipient is currently unable to handle the request due to a temporary overloading of the recipient.
`static int` | `SYNC`

Field Detail

### REQUEST_TYPE_BASE

    public static final int REQUEST_TYPE_BASE

### DISPATCH

    public static final int DISPATCH

### RETRACT

    public static final int RETRACT

### FETCH

    public static final int FETCH

### PING

    public static final int PING

### MESSAGE

    public static final int MESSAGE

### REPLY

    public static final int REPLY

### ILLEGAL_REQUEST

    public static final int ILLEGAL_REQUEST

### MAX_REQUEST_TYPE

    public static final int MAX_REQUEST_TYPE

### NO_AUTHENTICATION_MANNER

    public static final int NO_AUTHENTICATION_MANNER

### AUTHENTICATION_MANNER_DIGEST

    public static final int AUTHENTICATION_MANNER_DIGEST

### AUTHENTICATION_MANNER_SIGNATURE

    public static final int AUTHENTICATION_MANNER_SIGNATURE

### ATCI_REQUEST

    public static final int ATCI_REQUEST

  The value representing that an ATCI message is a response.

### ATCI_RESPONSE

    public static final int ATCI_RESPONSE

  The value representing that an ATCI message is a response.

### OKAY

    public static final int OKAY

  Status code representing that the request has succeeded.

### MOVED

    public static final int MOVED

  Status code representing that the requested resource is no longer at the recipient.

### BAD_REQUEST

    public static final int BAD_REQUEST

  Status code representing that the recipient was unable to understand the request message due to malformed syntax.

### FORBIDDEN

    public static final int FORBIDDEN

  Status code representing that although the recipient understood the request message, it is refused to fulfill it.

### NOT_FOUND

    public static final int NOT_FOUND

  Status code representing that the recipient could not find the requested resource.

### INTERNAL_ERROR

    public static final int INTERNAL_ERROR

  Status code representing that the recipient encountered an unexpected condition which prevented it from fullfiling the request.

### NOT_IMPLEMENTED

    public static final int NOT_IMPLEMENTED

  Status code representing that the recipient does not support the functionality required to fulfill the request.

### BAD_GATEWAY

    public static final int BAD_GATEWAY

  Status code representing that the recipient, while acting as a gateway or proxy, recieved an invalid response from upstream server.

### SERVICE_UNAVAILABLE

    public static final int SERVICE_UNAVAILABLE

  Status code representing that the recipient is currently unable to handle the request due to a temporary overloading of the recipient.

### NOT_AUTHENTICATED

    public static final int NOT_AUTHENTICATED

  Status code representing that the recipient does not authenticate the sender.

### SYNC

    public static final int SYNC

### FUTURE

    public static final int FUTURE

### ONEWAY

    public static final int ONEWAY

### HANDLED

    public static final int HANDLED

### NOT_HANDLED

    public static final int NOT_HANDLED

### EXCEPTION

    public static final int EXCEPTION

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD